var express = require('express');
var router = express.Router();

var options = require('./dbconfig');

//
// Postresql
//

var Pool = require('pg').Pool;
var config = {
  user: 'matjaz',
  password: 'mesnjak',
  database: 'supervizor',
  host: 'server.dev',
  port: 5432,
  max: 10,
  idleTimeoutMillis: 30000,
};
var pool = new Pool(config);

/* GET users listing. */
router.post('/', function(req, res, next) {
  console.log(req.body.davcna);
  console.log(req.body.location);

  pool.query('SELECT COUNT(*) FROM lokacija WHERE davcna_stevilka = $1', [req.body.davcna], function (err, count) {
    if(err) {
      throw err;
    }
    console.log('Vstavljamo nove podatke v bazo lokacij ... Rezultat je vrnil ' + count.rows[0].count)
    if(count.rows[0].count == '0') {
      var lokacija = JSON.parse((req.body.location.replace('(', '[')).replace(')', ']'));
      console.log(lokacija + ' ' + lokacija[1] + ' ' + lokacija[0]);
      pool.query('INSERT INTO lokacija VALUES ($1, $2, $3)', [req.body.davcna, lokacija[1], lokacija[0]], function(err) {
        if(err) {
          throw err;
        }
      });
    }
    res.send('OK');
  })
});

module.exports = router;
